Page MenuHomePhabricator

As a user, I should see nearby results after retrying when the app is unable to determine my location
Closed, ResolvedPublic

Description

Steps to reproduce

  1. Trigger a location detection error (???)
  2. Tap "try again"

Expected results

Placeholders are displayed, then if the app is able to determine location, the nearby articles, otherwise re-show the error view

Actual results

Error view is always shown

Event Timeline

BGerstle-WMF raised the priority of this task from to High.
BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2015, 7:37 PM
Fjalapeno set Security to None.

Checked with 5.0.0 (601) on iPad mini iOS 8.2

Trigger a location detection error (???)

It used to be very easy to do that. Now I could not trigger it.
Checked

  • switch to Flight mode
  • going out of the wi fi
  • install the app and, without opening, switch to Flight mode
  • allow/disallow location access. Interesting, that if I disallow location access after it was allowed, 'Nearby' section won't be displayed at all. Should it be also a correct behavior for initial disallow, e.g. in #2 below?
  1. If location access is not allowed upon installing - an empty placeholder is displayed. To allow location access, a user should go to system Settings.

If location access is not allowed upon installing - an empty placeholder is displayed. To allow location access, a user should go to system Settings.

That might be a bug. What exactly were the conditions when this happened?

JMinor raised the priority of this task from High to Needs Triage.Feb 5 2016, 11:11 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 5 2016, 11:11 PM
JMinor closed this task as Resolved.Feb 11 2016, 10:35 PM
JMinor added a subscriber: JMinor.

I'm going to close this one. There's a separate task to give a hint to the user that they should enable location services.